using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Attention:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Attention
	{
		public Dd_Attention()
		{}
		#region Model
		private int _attention_id;
		private int? _attention_uerid;
		private int? _attented_by_user;
		private int? _attention_blacklist;
		private string _attention_guid;
		private DateTime? _attention_datetime;
		private DateTime? _attention_updatetime;
		private int? _attention_verify;
		private int? _attention_lock;
		private int? _attention_state;
		private int? _attention_delete;
		private int? _attention_count;
		private int? _attention_order;
		private string _attention_remark;
		/// <summary>
		/// 
		/// </summary>
		public int Attention_ID
		{
			set{ _attention_id=value;}
			get{return _attention_id;}
		}
		/// <summary>
		/// 本博客的主人的ID
		/// </summary>
		public int? Attention_UerID
		{
			set{ _attention_uerid=value;}
			get{return _attention_uerid;}
		}
		/// <summary>
		/// 本博客主人所关注的人的ＩＤ
		/// </summary>
		public int? Attented_By_user
		{
			set{ _attented_by_user=value;}
			get{return _attented_by_user;}
		}
		/// <summary>
		/// 黑名单
		/// </summary>
		public int? Attention_BlackList
		{
			set{ _attention_blacklist=value;}
			get{return _attention_blacklist;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string Attention_Guid
		{
			set{ _attention_guid=value;}
			get{return _attention_guid;}
		}
		/// <summary>
		/// 创建时间(本记录的创建时间)
		/// </summary>
		public DateTime? Attention_Datetime
		{
			set{ _attention_datetime=value;}
			get{return _attention_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? Attention_UpDatetime
		{
			set{ _attention_updatetime=value;}
			get{return _attention_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? Attention_Verify
		{
			set{ _attention_verify=value;}
			get{return _attention_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? Attention_Lock
		{
			set{ _attention_lock=value;}
			get{return _attention_lock;}
		}
		/// <summary>
		/// 数据状态(0正常,1不正常)
		/// </summary>
		public int? Attention_State
		{
			set{ _attention_state=value;}
			get{return _attention_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? Attention_Delete
		{
			set{ _attention_delete=value;}
			get{return _attention_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? Attention_Count
		{
			set{ _attention_count=value;}
			get{return _attention_count;}
		}
		/// <summary>
		/// 记录排序(记录显示的顺序)
		/// </summary>
		public int? Attention_Order
		{
			set{ _attention_order=value;}
			get{return _attention_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string Attention_Remark
		{
			set{ _attention_remark=value;}
			get{return _attention_remark;}
		}
		#endregion Model

	}
}

